<?php

/**-----------------------------------------------
*
* Rooty, 2018 <rooty@rooty.me>
*
*
* This software is protected by copyright, please
* read the file COPYRIGHT.
* This program is distributed in the hope that it
* will be useful, but without any warranty; without
* even the implied warranty of merchantability or
* fitness for a particular purpose. Please
* read the file LICENCE.
*
* Fichier printdata.php
*
* Ce fichier contient la classe printdata
* <BR>
* @author Initiance <www.initiance.com|martial@initiance.com>
* @copyright Copyright &copy; 2009-2018, Rooty
* @since 2004/06/07
* @version 0.3
* @link www.rooty.me
* @package object_plugin
* @subpackage PrintData 
*/
if ( !defined('SYSTEM_IN') )
{
 die("Hacking attempt");
}

/**
* Classe PrintData
*Plugin permettant de changer la template principale
*le fichier print.mxt (à la racine de la template) remplacera alors le fichier main.mxt (ajuster le css etc.)
* @package object_plugin
* @subpackage PrintData
*/
class PrintData extends Plugin
{
	//
	// Constructor
	//
/**
* Constructeur de la classe Plugin Print
* @access public
*/
	function PrintData()
	{
		$this->__construct();
	}

	function __construct()
	{
		parent::__construct("1.0", "Olivier DEVAINE", "Si pear n'est pas installé sur le serveur, il le sera dans Granilim!!!");
	}

/**
* __beforeProcess : methode executée avant que le system ne soit executé
*<p>Cette methode à pour but d'être surchagée par le plugin<br>
*pour être executée avant l'execution system</p>
* @abstract
* @access public
* @return booleen
*/
	function __beforeExec()
	{
		$print=( isset($_GET["print"]) && ($_GET["print"]==1) )?true:false;
		if ($print)
		{
			$GLOBALS['SYSTEM_TEMPLATE_MAIN']			="print.mxt";
			$GLOBALS['SYSTEM_TEMPLATE_CONF']			="config/parametres.mxp";
			$GLOBALS['SYSTEM_TEMPLATE_TITLE']			=$GLOBALS['SYSTEM_TEMPLATE_DEFAULT_TITLE'];

			unset($GLOBALS["SYSTEM_TEMPLATE"]);
			$GLOBALS["SYSTEM_TEMPLATE"] = new ModeliXeQware($GLOBALS['SYSTEM_TEMPLATE_PATH'].$GLOBALS['SYSTEM_TEMPLATE_DIR'].$GLOBALS['SYSTEM_TEMPLATE_MAIN']);
			$GLOBALS["SYSTEM_TEMPLATE"]->SetMxFileParameter($GLOBALS['SYSTEM_TEMPLATE_PATH'].$GLOBALS['SYSTEM_TEMPLATE_DIR'].$GLOBALS['SYSTEM_TEMPLATE_CONF']);
			$GLOBALS["SYSTEM_TEMPLATE"]->SetModeliXe();
		}
		/* On tente d'ajouter l'élément sur d'url sur la template principale */
		else
		{
			$GLOBALS["SYSTEM_TEMPLATE"]->MxAttribut("urlPrint", $_SERVER["REQUEST_URI"]."&print=1");
		}
		return true;
	}
}
?>
